EDIT - bug #7135

TeamOrPersonField allows selecting from existing Persons and Teams

12/11/2017 11:55 AM - Andreas Kohlbecker

Status: Closed Start date:
Priority: Highest Due date:
Assignee: Andreas Kohlbecker % Done:
Category: cdm-vaadin Estimated time:
Target version: Release 4.13

Severity: normal Found in Version:
Description

The TeamOrPersonField needs to be extended by select filed which allows choosing from existing Persons or Team:

This field in only visible as long as not entity is set for the according property.

Once the user has chosen a Team or person and confirmed the selection by clicking ok:

1. The SelectField and OK button become invisible

2. The delete button becomes visible

3. The new Team and new Person buttons become inactive
4. The property is set to the chosen Entity

After clicking on the new Person or Team button in

Associated revisions

Revision 19ba9005 - 12/12/2017 03:53 PM - Andreas Kohlbecker

fix #7135 TeamOrPersonField allows selecting from existing Persons and Teams

Revision de16e733 - 12/12/2017 04:07 PM - Andreas Kohlbecker

ref #7135 relaxing to strict non null value constraint

History

#1 - 12/12/2017 03:53 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|19ba900504996441cc185e02162c5191ea35c0c4.

#2 - 01/15/2018 02:33 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
